package com.sdk.samples.fragment;


import android.os.Bundle;
import com.sdk.samples.MainActivity;
import com.uzmap.pkg.openapi.Html5EventListener;
import com.uzmap.pkg.openapi.SuperFragment;
import com.uzmap.pkg.openapi.WebViewProvider;

/**
 * 以Fragment的形式嵌入使用
 * 使用SuperWebview的Fragment需继承自SuperFragment
 *
 */
public class FragmentUse extends SuperFragment{

	public FragmentUse(){
		
	}
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setApiListener(new MyAPIListener(getSuperWebview()));
		bindSomething();
	}

	@Override
	public String getStartUrl() {
		String url = null;
//		url = "file:///android_asset/widget/index.html";
		return url;
	}
	
	Html5EventListener mEventListener = new Html5EventListener("abc") {
		
		@Override
		public void onReceive(WebViewProvider provider, Object extra) {
			MainActivity.showAlert(getActivity(), "收到来自Html5的abc事件，传入的参数为：\n\n" + extra + "\n\n");
		}
	};
	
	private void bindSomething(){
		mEventListener = new Html5EventListener("abc") {
			
			@Override
			public void onReceive(WebViewProvider provider, Object extra) {
				MainActivity.showAlert(getActivity(), "收到来自Html5的abc事件，传入的参数为：\n\n" + extra + "\n\n");
			}
		};
		//设置一个监听，监听来自Html5页面发送出来的事件
		//此处我们监听"abc"事件，监听Html5页面通过api.sendEvent发出"abc"事件时
		addHtml5EventListener(mEventListener);
	}
	
	@Override
	public void onDestroy() {
		super.onDestroy();
		if(null != mEventListener){
			removeHtml5EventListener(mEventListener);
		}
	}

}
