package com.sdk.samples.fragment;

import android.os.Bundle;
import android.util.Log;
import android.widget.FrameLayout;
import android.widget.LinearLayout;
import android.app.Activity;
import android.app.Fragment;
import android.app.FragmentTransaction;
import android.content.Intent;
import com.apicloud.superwebview.demo.R;

/**
 * 本例演示使用SuperWebview Fragment
 *
 */
public class NativeFragmentActivity extends Activity {

	public FrameLayout mContainer;
	
	static final int fragmentId = 0x20000;
	
	FragmentUse mSuperFragment;
	
	@Override
    public void onCreate(Bundle savedInstanceState) {
		setTheme(R.style.AppTheme);
		super.onCreate(savedInstanceState);
		mContainer = new FrameLayout(this);
		mContainer.setBackgroundColor(0xFFFFFFFF);
		LinearLayout fragment = new LinearLayout(this);
		fragment.setId(fragmentId);
		mContainer.addView(fragment, new FrameLayout.LayoutParams(-1, -1));
		setContentView(mContainer);
	
        addFragmentToStack(mSuperFragment = new FragmentUse());
    }
	
	void addFragmentToStack(Fragment newFragment) {
        FragmentTransaction ft = getFragmentManager().beginTransaction();
        ft.replace(fragmentId, newFragment);
        ft.setTransition(FragmentTransaction.TRANSIT_FRAGMENT_OPEN);
        ft.addToBackStack(null);
        ft.commit();
    }
	
	@Override
	public void onBackPressed() {
		if(mSuperFragment.windowBack()){
			return;
		}
		finish();
	}

	@Override
	protected void onActivityResult(int requestCode, int resultCode, Intent data) {
		String content = null != data ? data.getStringExtra("data") : null;
		Log.i("ldx", "Main onActivityResult: " + content);
	}
}
