package com.sdk.samples.view;

import com.uzmap.pkg.openapi.SuperWebview;
import com.uzmap.pkg.uzkit.UZUtility;
import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import android.widget.LinearLayout;

public class NativeLayout extends LinearLayout{

	static final int PROGRESS_MAX = 100;
	public static final int WRAP = ViewGroup.LayoutParams.WRAP_CONTENT;
	public static final int FILL = ViewGroup.LayoutParams.MATCH_PARENT;
	
	private static final int titleHeight = 45;//dip
	
	private SuperWebview mWebView;
	private NativeTitle mTitle;
	
	public NativeLayout(Context context) {
		super(context);
		setOrientation(LinearLayout.VERTICAL);
		mTitle = new NativeTitle(context);
		LinearLayout.LayoutParams llp = new LinearLayout.LayoutParams(FILL, UZUtility.dipToPix(titleHeight));
		mTitle.setLayoutParams(llp);
		addView(mTitle);
		
		FrameLayout weblayout = new FrameLayout(context);
		mWebView = createWebView(context);
		FrameLayout.LayoutParams flp = new FrameLayout.LayoutParams(FILL, FILL);
		mWebView.setLayoutParams(flp);
		weblayout.addView(mWebView);
		llp = new LinearLayout.LayoutParams(FILL, 0);
		llp.weight = 1.0f;
		weblayout.setLayoutParams(llp);
		addView(weblayout);
	}
	
	public void setBackClick(final View.OnClickListener listener){
		mTitle.setBackClick(listener);
	}

	public void onDestroy() {
		if(null != mWebView){
			try{
				mWebView.destroy();
			}catch(Exception e){
				;
			}
		}
	}

	public final void start(String url){
		
		mWebView.start(url);
	}
	
	public final boolean windowBack(){
		
		return mWebView.windowBack();
	}

	public void onReceivedTitle(String title){
		if(!mTitle.isShown()){
			return;
		}
		mTitle.setTitle(title);
	}
	
	public SuperWebview getSuperWebview(){
		
		return mWebView;
	}
	
	static SuperWebview createWebView(Context ctx){
		SuperWebview view = new SuperWebview(ctx, null);
		return view;
	}
	
	
}
