package com.sdk.samples.view;

import com.uzmap.pkg.uzkit.UZUtility;

import android.content.Context;
import android.text.TextUtils.TruncateAt;
import android.util.TypedValue;
import android.view.Gravity;
import android.view.View;
import android.widget.LinearLayout;
import android.widget.TextView;

public class NativeTitle extends LinearLayout {
	
	static int BG_COLOR = 0xFF393A3F;
	static int TEXT_COLOR = 0xFFFFFFFF;
	
	private TextView mTitleText;
	private TextView mTitleBack;
	
	NativeTitle(Context context) {
		super(context);
		init(context);
	}

	private void init(Context context){
		setBackgroundColor(BG_COLOR);
		setOrientation(LinearLayout.HORIZONTAL);
		mTitleBack = new TextView(context);
		mTitleBack.setTextSize(TypedValue.COMPLEX_UNIT_SP, 16);
		mTitleBack.setTextColor(TEXT_COLOR);
		mTitleBack.setText("返回");
		int p = UZUtility.dipToPix(15);
		mTitleBack.setPadding(p, 0, p, 0);
		LayoutParams rlp = new LayoutParams(NativeLayout.WRAP, NativeLayout.WRAP);
		rlp.gravity = Gravity.CENTER_VERTICAL;
		mTitleBack.setLayoutParams(rlp);
		addView(mTitleBack);
		mTitleText = new TextView(context);
		mTitleText.setTextSize(TypedValue.COMPLEX_UNIT_SP, 18);
		mTitleText.setText("我是原生标题");
		mTitleText.setTextColor(TEXT_COLOR);
		mTitleText.setSingleLine(true);
		mTitleText.setGravity(Gravity.LEFT | Gravity.CENTER_VERTICAL);
		mTitleText.setEllipsize(TruncateAt.END);
		rlp = new LayoutParams(NativeLayout.FILL, NativeLayout.FILL);
		rlp.leftMargin = UZUtility.dipToPix(13);
		mTitleText.setLayoutParams(rlp);
		addView(mTitleText);
	}

	public void setBackClick(final View.OnClickListener listener){
		mTitleBack.setOnClickListener(new OnClickListener() {
			@Override
			public void onClick(View v) {
				listener.onClick(v);
			}
		});
	}
	
	public void setTextColor(int color){
		mTitleText.setTextColor(color);
		mTitleBack.setTextColor(color);
	}
	
	public void setTitle(String title){
		
		mTitleText.setText(title);
	}
}
