package com.sdk.samples.view;


import com.sdk.samples.MainActivity;
import com.uzmap.pkg.openapi.Html5EventListener;
import com.uzmap.pkg.openapi.WebViewProvider;
import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup.LayoutParams;

/**
 * 本例演示SuperWebview以View的形式嵌入原生中使用
 * 主要入口为SuperWebview，见NativeLayout类的的布局
 */
public class NativeViewActivity extends Activity {
	
	NativeLayout mLayout;
	
	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		mLayout = new NativeLayout(this);
		setContentView(mLayout, new LayoutParams(LayoutParams.MATCH_PARENT, LayoutParams.MATCH_PARENT));
		bindSomething();
		mLayout.getSuperWebview().setApiListener(new MyAPIClient(mLayout.getSuperWebview()));
		mLayout.start("file:///android_asset/widget/index.html");
		mLayout.setBackClick(new OnClickListener() {
			@Override
			public void onClick(View v) {
				onBackPressed();
			}
		});
	}
	
	@Override
	public void onBackPressed() {
		if(null != mLayout){
			if(mLayout.windowBack()){
				return;
			}
		}
		finish();
	}
	
	private void bindSomething(){
		//设置一个监听，监听来自Html5页面发送出来的事件
		//此处我们监听"abc"事件，监听Html5页面通过api.sendEvent发出"abc"事件时
		mLayout.getSuperWebview().addHtml5EventListener(new Html5EventListener("abc") {
			@Override
			public void onReceive(WebViewProvider provider, Object extra) {
				MainActivity.showAlert(NativeViewActivity.this, "收到来自Html5的abc事件，传入的参数为：\n\n" + extra + "\n\n");
			}
		});
	}
}
